Page MenuHomePhabricator

[Regression wmf11] Pressing Escape while a dialog is open closes the editor, should only close the dialog
Closed, ResolvedPublic8 Story Points

Description

Pressing Escape while a dialog is open closes the editor, should only close the dialog.

Details

Related Gerrit Patches:
oojs/ui : masterKill the escape keydown event after handling a window close
mediawiki/extensions/VisualEditor : wmf/1.25wmf12Check for stopped propagation before showing close dialog
VisualEditor/VisualEditor : wmf/1.25wmf12Stop propagation of events after handling trigger keys
VisualEditor/VisualEditor : masterStop propagation of events after handling trigger keys
mediawiki/extensions/VisualEditor : masterCheck for stopped propagation before showing close dialog
mediawiki/extensions/VisualEditor : masterWhen Esc is pressed, don't close VE if a window is open

Event Timeline

matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added a project: VisualEditor.
matmarex changed Security from none to None.
matmarex added a subscriber: Krenair.
matmarex added a subscriber: matmarex.
Jdforrester-WMF triaged this task as High priority.Dec 10 2014, 11:43 PM

Cannot reproduce on my local wiki...

Cannot reproduce either - beta, test2, and production are fine.

I can reproduce on Windows 7 x64 on every browser I tested: Opera 27, Firefox 34, IE 11.

Apparently also closing the editor in this way and then reopening it causes funny things like dialogs not opening at all anymore.

Jdforrester-WMF renamed this task from Pressing Escape while a dialog is open closes the editor, should only close the dialog to [Regression wmf11] Pressing Escape while a dialog is open closes the editor, should only close the dialog.Dec 12 2014, 1:27 AM
Jdforrester-WMF assigned this task to Catrope.
Jdforrester-WMF moved this task from External and Administrivia to Blocked on the VisualEditor board.

This is only reproducible if you make no changes. In that case Escape immediately closes the editor. But if you have made changes, it will launch a dialog asking you if want to keep your changes. But if you already have a dialog open (which right after pressing escape you do, even if it's in the process of closing, because it takes time for it to close), that will fail and it will look like nothing happened.

Change 179388 had a related patch set uploaded (by Catrope):
When Esc is pressed, don't close VE if a window is open

https://gerrit.wikimedia.org/r/179388

Patch-For-Review

Change 179476 had a related patch set uploaded (by Esanders):
Kill the escape keydown event after handling a window close

https://gerrit.wikimedia.org/r/179476

Patch-For-Review

Change 179478 had a related patch set uploaded (by Esanders):
Check for stopped propagation before show close dialog

https://gerrit.wikimedia.org/r/179478

Patch-For-Review

Change 179479 had a related patch set uploaded (by Esanders):
Stop propagation of events after handling trigger keys

https://gerrit.wikimedia.org/r/179479

Patch-For-Review

Change 179388 abandoned by Esanders:
When Esc is pressed, don't close VE if a window is open

Reason:
Replaced with these three commits:
https://gerrit.wikimedia.org/r/#/q/status:open topic:escape-propagation,n,z

https://gerrit.wikimedia.org/r/179388

Change 179476 merged by jenkins-bot:
Kill the escape keydown event after handling a window close

https://gerrit.wikimedia.org/r/179476

Change 179479 merged by jenkins-bot:
Stop propagation of events after handling trigger keys

https://gerrit.wikimedia.org/r/179479

Change 179478 merged by jenkins-bot:
Check for stopped propagation before showing close dialog

https://gerrit.wikimedia.org/r/179478

Jdforrester-WMF closed this task as Resolved.Dec 15 2014, 9:20 PM
Jdforrester-WMF moved this task from Blocked to Q4 on the VisualEditor board.

Change 180858 had a related patch set uploaded (by Jforrester):
Check for stopped propagation before showing close dialog

https://gerrit.wikimedia.org/r/180858

Patch-For-Review

Change 180859 had a related patch set uploaded (by Jforrester):
Stop propagation of events after handling trigger keys

https://gerrit.wikimedia.org/r/180859

Patch-For-Review

Change 180859 merged by jenkins-bot:
Stop propagation of events after handling trigger keys

https://gerrit.wikimedia.org/r/180859

Change 180858 merged by jenkins-bot:
Check for stopped propagation before showing close dialog

https://gerrit.wikimedia.org/r/180858

Verified the fix in Betalabs and test2

Verified the fix in en.wiki running wmf12

Jdforrester-WMF edited a custom field.Feb 2 2015, 7:52 PM